import { APIGatewayProxyEvent, Context, APIGatewayProxyResult, APIGatewayProxyStructuredResultV2 } from 'aws-lambda';
export declare const websocketHandler: (event: APIGatewayProxyEvent, context: Context, config: Configuration) => Promise<APIGatewayProxyResult | APIGatewayProxyStructuredResultV2>;
export interface Configuration {
    actions?: ActionsHandlers[];
    middlewares?: Array<(event?: APIGatewayProxyEvent, context?: Context, runData?: any) => Promise<any>>;
    fallback?: handlerFn;
    enableLogging?: boolean;
}
export interface ActionsHandlers {
    name: string;
    handler: handlerFn;
}
declare type handlerFn = (event?: APIGatewayProxyEvent, context?: Context, runData?: any) => Promise<APIGatewayProxyResult | APIGatewayProxyStructuredResultV2>;
export {};
