"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.websocketHandler = void 0;
const websocketHandler = async (event, context, config) => {
    const { action } = JSON.parse(event.body);
    let runData = {};
    if (config.middlewares) {
        for (const configMW of config.middlewares) {
            runData = await configMW(event, context, runData);
        }
    }
    let handler;
    if (config.actions) {
        for (const configAction of config.actions) {
            if (configAction.name === action) {
                !config.enableLogging || console.log(`Executing action ${action}`);
                handler = configAction.handler(event, context, runData);
            }
        }
    }
    if (!handler && config.fallback) {
        !config.enableLogging || console.log(`Executing fallback as there were no ${action}`);
        handler = config.fallback(event, context, runData);
    }
    if (!handler) {
        handler = Promise.reject({ statusCode: 400, body: 'No action specified' });
    }
    return handler;
};
exports.websocketHandler = websocketHandler;
//# sourceMappingURL=index.js.map